Show / Hide Table of Contents

# Class TargetManager

Get and set various kinds of targets for the player.

##### Inheritance

System.Object
TargetManager

##### Implements

IServiceType

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Objects

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class TargetManager : IServiceType

### Properties

| Improve this Doc View Source

#### Address

Gets the address of the target manager.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### FocusTarget

Gets or sets the focus target.

##### Declaration

    public GameObject FocusTarget { get; set; }

##### Property Value

Type | Description
--- | ---
GameObject |

| Improve this Doc View Source

#### MouseOverTarget

Gets or sets the mouseover target.

##### Declaration

    public GameObject MouseOverTarget { get; set; }

##### Property Value

Type | Description
--- | ---
GameObject |

| Improve this Doc View Source

#### PreviousTarget

Gets or sets the previous target.

##### Declaration

    public GameObject PreviousTarget { get; set; }

##### Property Value

Type | Description
--- | ---
GameObject |

| Improve this Doc View Source

#### SoftTarget

Gets or sets the soft target.

##### Declaration

    public GameObject SoftTarget { get; set; }

##### Property Value

Type | Description
--- | ---
GameObject |

| Improve this Doc View Source

#### Target

Gets or sets the current target.

##### Declaration

    public GameObject Target { get; set; }

##### Property Value

Type | Description
--- | ---
GameObject |

### Methods

| Improve this Doc View Source

#### ClearFocusTarget()

Clears the focus target.

##### Declaration

    public void ClearFocusTarget()

| Improve this Doc View Source

#### ClearMouseOverTarget()

Clears the mouseover target.

##### Declaration

    public void ClearMouseOverTarget()

| Improve this Doc View Source

#### ClearPreviousTarget()

Clears the previous target.

##### Declaration

    public void ClearPreviousTarget()

| Improve this Doc View Source

#### ClearSoftTarget()

Clears the soft target.

##### Declaration

    public void ClearSoftTarget()

| Improve this Doc View Source

#### ClearTarget()

Clears the current target.

##### Declaration

    public void ClearTarget()

| Improve this Doc View Source

#### SetFocusTarget(GameObject)

Sets the focus target.

##### Declaration

    public void SetFocusTarget(GameObject actor)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject | actor | Actor to target.

| Improve this Doc View Source

#### SetFocusTarget(IntPtr)

Sets the focus target.

##### Declaration

    public void SetFocusTarget(IntPtr actorAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | actorAddress | Actor (address) to target.

| Improve this Doc View Source

#### SetMouseOverTarget(GameObject)

Sets the mouseover target.

##### Declaration

    public void SetMouseOverTarget(GameObject actor)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject | actor | Actor to target.

| Improve this Doc View Source

#### SetMouseOverTarget(IntPtr)

Sets the mouseover target.

##### Declaration

    public void SetMouseOverTarget(IntPtr actorAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | actorAddress | Actor (address) to target.

| Improve this Doc View Source

#### SetPreviousTarget(GameObject)

Sets the previous target.

##### Declaration

    public void SetPreviousTarget(GameObject actor)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject | actor | Actor to target.

| Improve this Doc View Source

#### SetPreviousTarget(IntPtr)

Sets the previous target.

##### Declaration

    public void SetPreviousTarget(IntPtr actorAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | actorAddress | Actor (address) to target.

| Improve this Doc View Source

#### SetSoftTarget(GameObject)

Sets the soft target.

##### Declaration

    public void SetSoftTarget(GameObject actor)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject | actor | Actor to target.

| Improve this Doc View Source

#### SetSoftTarget(IntPtr)

Sets the soft target.

##### Declaration

    public void SetSoftTarget(IntPtr actorAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | actorAddress | Actor (address) to target.

| Improve this Doc View Source

#### SetTarget(GameObject)

Sets the current target.

##### Declaration

    public void SetTarget(GameObject actor)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject | actor | Actor to target.

| Improve this Doc View Source

#### SetTarget(IntPtr)

Sets the current target.

##### Declaration

    public void SetTarget(IntPtr actorAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | actorAddress | Actor (address) to target.

### Implements

IServiceType